/**************************************************************
   Blynk is a platform with iOS and Android apps to control
   Arduino, Raspberry Pi and the likes over the Internet.
   You can easily build graphic interfaces for all your
   projects by simply dragging and dropping widgets.

     Downloads, docs, tutorials: http://www.blynk.cc
     Blynk community:            http://community.blynk.cc
     Social networks:            http://www.fb.com/blynkapp
                                 http://twitter.com/blynk_app

   Blynk library is licensed under MIT license
   This example code is in public domain.

 **************************************************************
   This example runs directly on ESP8266 chip.

   You need to install this for ESP8266 development:
     https://github.com/esp8266/Arduino

   Please be sure to select the right ESP8266 module
   in the Tools -> Board menu!

   Change WiFi ssid, pass, and Blynk auth token to run :)

 **************************************************************/

#define BLYNK_PRINT Serial    // Comment this out to disable prints and save space
#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266.h>

// You should get Auth Token in the Blynk App.
// Go to the Project Settings (nut icon).
char auth[] = "c20533f46ca74a0696917932a01f221a";

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "MIKROELECTRON";
char pass[] = "MIKRO123";
WidgetLED led1(V1);

int x = 0;
void setup()
{
  Serial.begin(9600);
  pinMode(5, INPUT);
  Blynk.begin(auth, ssid, pass);
}

void loop()
{
  Blynk.run();


  if (digitalRead(5) == LOW && x == 1)
  {
    led1.off();
    Serial.println("LED on V1: off");
    x = 0;
  }
  else if (digitalRead(5) == HIGH && x == 0)
  { led1.on();
    Serial.println("LED on V1: on");
    x = 1;
  }

}



